> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-c1-ai-rename-baton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke

> Revoke queues one provider-side revoke for one vended credential.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/app-secrets-admin/revoke
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/app-secrets-admin/revoke:
    post:
      tags:
        - App Secrets Admin
      summary: Revoke
      description: Revoke queues one provider-side revoke for one vended credential.
      operationId: c1.api.app.v1.AppSecretAdminService.Revoke
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.AppSecretAdminServiceRevokeRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.AppSecretAdminServiceRevokeResponse
          description: Successful response
components:
  schemas:
    c1.api.app.v1.AppSecretAdminServiceRevokeRequest:
      description: The AppSecretAdminServiceRevokeRequest message.
      properties:
        ref:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppSecretRef'
            - type: 'null'
      title: App Secret Admin Service Revoke Request
      type: object
      x-speakeasy-name-override: AppSecretAdminServiceRevokeRequest
    c1.api.app.v1.AppSecretAdminServiceRevokeResponse:
      description: The AppSecretAdminServiceRevokeResponse message.
      properties:
        credentialRevocation:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.CredentialRevocation'
            - type: 'null'
        revoked:
          description: Successful calls queue a revoke and return true.
          type: boolean
      title: App Secret Admin Service Revoke Response
      type: object
      x-speakeasy-name-override: AppSecretAdminServiceRevokeResponse
    c1.api.app.v1.AppSecretRef:
      description: The AppSecretRef message.
      properties:
        appId:
          description: The appId field.
          type: string
        appResourceTypeId:
          description: The appResourceTypeId field.
          type: string
        id:
          description: The id field.
          type: string
      title: App Secret Ref
      type: object
      x-speakeasy-name-override: AppSecretRef
    c1.api.app.v1.CredentialRevocation:
      description: |-
        CredentialRevocation describes the current revoke eligibility of a
         credential C1 issued through credential vending.
      properties:
        state:
          description: The state field.
          enum:
            - CREDENTIAL_REVOCATION_STATE_UNSPECIFIED
            - CREDENTIAL_REVOCATION_STATE_READY
            - CREDENTIAL_REVOCATION_STATE_REVOKING
            - CREDENTIAL_REVOCATION_STATE_REVOKE_FAILED
            - CREDENTIAL_REVOCATION_STATE_UNAVAILABLE
          type: string
          x-speakeasy-unknown-values: allow
      title: Credential Revocation
      type: object
      x-speakeasy-name-override: CredentialRevocation
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````